/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

/**
 * 
 */
package se.vgregion.userupdate.domain;

/**
 * Bean which holds properties.
 *
 * @author Simon Göransson - simon.goransson@monator.com - vgrid: simgo3
 */
public class PropertiesBean {

    private String[] ipForExternalAccess;
    private String externalUserRedirectUrl;

    public String[] getIpsForExternalAccess() {
        return ipForExternalAccess.clone();
    }

    public void setIpForExternalAccess(String ipForExternalAccess) {
        this.ipForExternalAccess = ipForExternalAccess.replaceAll(" ", "").split(",");
    }

    public String getExternalUserRedirectUrl() {
        return externalUserRedirectUrl;
    }

    public void setExternalUserRedirectUrl(String externalUserRedirectUrl) {
        this.externalUserRedirectUrl = externalUserRedirectUrl;
    }

}
